Chat now with support
Chat with Support

We are currently experiencing issues on our phone support and are working diligently to restore services. For support, please sign in and create a case or email supportadmin@quest.com for assistance

Identity Manager 8.1.4 - Starling Connect Connector Module Release Notes

System Requirements

Before installing One Identity Manager, ensure that your system meets the following minimum hardware and software requirements.

Database Server Minimum requirements

 
Table 2: Database Server Minimum requirements
Requirement Details
Processor

8 physical cores with 2.5 GHz+

NOTE: 16 physical cores are recommended on performance grounds.

Memory 16 GB+ RAM
Free disk space 100 GB
Operating system

Windows operating systems

Note that the requirements from Microsoft for the SQL Server version are installed.

UNIX and Linux operating systems

Please note the minimum requirements given by the operating system manufacturers for Oracle databases or SQL Server databases.

Software

SQL Server

  • SQL Server 2019 Standard Edition (64-bit) with the current cumulative update

  • SQL Server 2017 Standard Edition (64-bit) with the current cumulative update
  • SQL Server 2016 Standard Edition (64-bit), Service Pack 2 with the current cumulative update

    NOTE: The SQL Server Enterprise Edition is recommended on performance grounds.

    • Compatability level for databases: SQL Server 2016 (130)

    • Default collation: case-insensitive, SQL_Latin1_General_CP1_CI_AS (Recommended)

NOTE: One Identity Manager works with SQL Server. For more detailed information on system prerequisites see the One Identity Manager Installation Guide.

Service Server Minimum requirements

Table 3: Service Server Minimum requirements
Requirement Details
Processor

8 physical cores with 2.5 GHz+

Memory 16 GB RAM
Free disk space 40 GB
Operating system

Windows operating systems

  • Windows Server 2019

  • Windows Server 2016

  • Windows Server 2012 R2

  • Windows Server 2012

  • Windows Server 2008 R2 (non-Itanium 64 bit) Service Pack 1 or later

Linux operating systems

  • Linux operation system (64 bit) supported by the Mono project or Docker images provided by the Mono project.
Additional Software

Windows operating systems

  • Microsoft .NET Framework version 4.7.2 or later

    NOTE: Refer to the recommendations of the manufacturer of the target system to connect to the target system.

Linux operating systems

  • Mono 5.14 or later

Client Minimum requirements

Table 4: Client Minimum requirements
Requirement Details
Processor

4 physical cores with 2.5 GHz

Memory 4 GB+ RAM
Free disk space 1 GB
Operating system

Windows operating systems

  • Windows 10 (32 bit or 64 bit) version 1511 or later

  • Windows 8.1 (32 bit or 64 bit) with the current service pack

  • Windows 7 (32 bit or non-Itanium 64 bit) with the current service pack

Additional Software

Windows operating systems

  • Microsoft .NET Framework version 4.7.2 or later
Supported browsers
  • Internet Explorer 11 or later
  • Firefox (release channel)

  • Chrome (release channel)

  • Microsoft Edge (release channel)

Web Server Minimum Requirements

Table 5: Web Server Minimum requirements
Requirement Details
Processor

4 physical cores with 1.65 GHz+

Memory 4 GB RAM
Free disk space 40 GB
Operating system

Windows operating systems

  • Windows Server 2019

  • Windows Server 2016
  • Windows Server 2012 R2
  • Windows Server 2012

  • Windows Server 2008 R2 (non-Itanium 64 bit) Service Pack 2 or later

Linux operating systems

  • Linux operation system (64 bit) supported by the Mono project or Docker images provided by the Mono project. Please note the operating system manufacturer's minimum requirements for Apache HTTP Server.
Additional Software

Windows operating systems

  • Microsoft .NET Framework version 4.7.2 or later
  • Microsoft Internet Information Service 7 or 7.5 or 8 or 8.5 or 10 with ASP.NET 4.5.2 and the role services:

    • Web Server > Common HTTP Features > Static Content

    • Web Server > Common HTTP Features > Default Document

    • Web Server > Application Development > ASP.NET

    • Web Server > Application Development > .NET Extensibility
    • Web Server > Application Development > ISAPI Extensions

    • Web Server > Application Development > ISAPI Filters

    • Web Server > Security > Basic Authentication

    • Web Server > Security > Windows Authentication

    • Web Server > Performance > Static Content Compression

    • Web Server > Performance > Dynamic Content Compression

Linux operating systems

  • Mono 5.14 or later
  • NTP Client
  • Apache HTTP Server 2.0 or 2.2 with following modules:

    • mod_mono

    • rewrite

    • ssl (optional)

Application Server Minimum Requirements

Table 6: Application Server Minimum requirements
Requirement Details
Processor

8 physical cores with 2.5 GHz+

Memory 8 GB RAM
Free disk space 40 GB
Operating system

Windows operating systems

  • Windows Server 2019

  • Windows Server 2016
  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2008 R2 (non-Itanium 64 bit) Service Pack 1 or later

Linux operating systems

  • Linux operation system (64 bit) supported by the Mono project or Docker images provided by the Mono project. Please note the operating system manufacturer's minimum requirements for Apache HTTP Server.
Additional Software

Windows operating systems

  • Microsoft .NET Framework version 4.7.2 or later
  • Microsoft Internet Information Service 7 or 7.5 or 8 or 8.5 or 10 with ASP.NET 4.5.2 and the role services:

    • Web Server > Common HTTP Features > Static Content

    • Web Server > Common HTTP Features > Default Document

    • Web Server > Application Development > ASP.NET

    • Web Server > Application Development > .NET Extensibility
    • Web Server > Application Development > ISAPI Extensions

    • Web Server > Application Development > ISAPI Filters

    • Web Server > Security > Basic Authentication

    • Web Server > Security > Windows Authentication

    • Web Server > Performance > Static Content Compression

    • Web Server > Performance > Dynamic Content Compression

Linux operating systems

  • Mono 5.14 or later
  • NTP Client
  • Apache HTTP Server 2.0 or 2.2 with following modules:

    • mod_mono

    • rewrite

    • ssl (optional)

Product licensing

Use of this software is governed by the Software Transaction Agreement found at www.oneidentity.com/legal/sta.aspx. This software does not require an activation or license key to operate.

Upgrade and installation instructions

The procedure to install Starling Connect Connector Module is similar to the procedures involved in installation of other One Identity Manager modules. For information on the installation of Starling Connect Connector Module module, refer the Installing One Identity Manager Components section of the One Identity Manager Installation Guide.

More resources

Additional information is available from the following:

Related Documents

The document was helpful.

Select Rating

I easily found the information I needed.

Select Rating